---
# tasks file for both OS

- name: Updating cache and installing dependency JAVA-{{ java_version_debian }} for debian
  apt: update_cache=yes name=openjdk-{{ java_version_debian }}-jdk state=present 
  when: ansible_os_family == 'Debian'

- name: Updating cache and installing dependency JAVA-{{ java_version_redhat }} for redhat  
  yum: update_cache=yes name=java-{{ java_version_redhat }}-openjdk state=present
  when: ansible_os_family == 'RedHat'

- name: Adding Kafka Group
  group:
   name: "{{ kafka_group }}"

- name: Adding Kafka User
  user:
   name: "{{ kafka_user }}"
   group: "{{ kafka_group }}"

- name: Checking if Kafka folder exist or not
  stat:
   path: "{{ kafka_directory_path }}/kafka_{{ kafka_version }}"
  register: kafka_stat_result

- name: "Download Kafka{{ kafka_major_version }}"
  unarchive:
   src: https://mirrors.estointernet.in/apache/kafka/{{ kafka_major_version }}/kafka_{{ kafka_version }}.tgz
   dest: "{{ kafka_directory_path }}"
   remote_src: yes
   owner: "{{ kafka_user }}"
  when: not kafka_stat_result.stat.exists



- name: Changing Kafka configuration to delete topic
  lineinfile:
   path: "{{ kafka_directory_path }}/kafka_{{ kafka_version }}/config/server.properties"
   insertafter: EOF
   line: delete.topic.enable = true


- name: Replacing log file path
  lineinfile:
   path: "{{ kafka_directory_path }}/kafka_{{ kafka_version }}/config/server.properties"
   regexp: '^log.dirs='
   line: log.dirs=/home/kafka/logs     


- name: Copy Zookeper service file from local to remote and changing ownership
  template:
   src: "{{ zookeeper_service_file_path }}/{{ item }}"
   dest: /etc/systemd/system
   mode: 0700
   owner: "{{ kafka_user }}"
   group: "{{ kafka_group }}"
  with_items: 
   - zookeeper.service
   - kafka.service


- name: Copy Zookeper service file from local to remote and changing ownership
  template:
   src: "{{ zookeeper_service_file_path }}/{{ item }}"
   dest: /etc/systemd/system
   mode: 0700
   owner: "{{ kafka_user }}"
   group: "{{ kafka_group }}"
  with_items: 
   - zookeeper.service
   - kafka.service
  notify:
   - Restart zookeeper service
   - Restart kafka service
   













